#ifndef NEUI_H
#define NEUI_H
#include "AUI.h"

class shNotEyeInterface : public shASCIIInterface
{
 public:
    shNotEyeInterface (int argc, char **argv);
    ~shNotEyeInterface ();

    int getChar ();
    int getStr (char *buf, int len, const char *prompt,
                const char *dflt = NULL);
    void cursorOnXY (int x, int y);

    void drawScreen ();
    void refreshScreen ();
    void drawSideWin ();
    void drawLog ();
    void pageLog ();
    void showHelp ();
    void showVersion ();
    void showHistory ();
    void doScreenShot (int fileHandle);
    void showHighScores ();

    shMenu *newMenu (const char *prompt, int flags);

 protected:
    void moreBegin ();
    void moreEnd ();
    void logPrint (const char *str);
    Command keyToCommand (int key);
    void readKeybindings (const char *fname);
    void resetKeybindings ();
    void pSideWin (int y, int x, const char *fmt, ...);
    void setSideWinCol (shColor color);
};

class shNotEyeMenu : public shASCIIMenu
{
 public:
    shNotEyeMenu (const char *prompt, int flags);
 protected:
    void showHelp ();
 private:
    void accumulateResults ();
};
extern bool mapOn;

class shNotEyeTextViewer : public shASCIITextViewer
{
 public:
    void show ();
};
#endif
